#include "global.h"
#include "auswertung.h"
#include "serial.h"


#define kSpannung 0.004882812f
#define kBeschlZ 0.0102739726f
#define tBeschlZ 5.174657532f

#define kBeschlX 0.0096936758893f
#define kBeschlY 0.0092678318375f

int calBeschlX,calBeschlY;



struct bufferI_struct bufX;
struct bufferI_struct bufY;
struct bufferI_struct bufZ;

float vx,vy,vz,sx,sy,sz,ax,ay,az;


void InitAuswertung()
{
	Init_buffI(&bufX);
	Init_buffI(&bufY);
	Init_buffI(&bufZ);
}


void auswertung()
{
	int iz;
	float zahl;
	ax=(float)(get_buffI_filter(&bufX)-calBeschlX)*kBeschlX;
	ay=(float)(get_buffI_filter(&bufY)-calBeschlY)*kBeschlY;
	iz=get_buffI_filter(&bufZ);
	if(iz==0)
	{
		az=vz=sz=0.0f;
		return;
	}
	az=(float)iz;

	az=kBeschlZ * az - tBeschlZ;

	if((az<0.1f) && (az>-0.1f))
	{
		az=0.0f;
		if((vz<0.1f) && (vz>-0.1f))
		{
			vz=0.0f;
			if((sz<0.05f) && (sz>-0.05f))
				sz=0.0f;
		}
		else
		{
			vz+=az*0.01f;
			sz+=vz*0.01f+0.5f*az*0.0001f;
		}
	}
	else
	{
		vz+=az*0.01f;
		sz+=vz*0.01f+0.5f*az*0.0001f;
	}

	if((ax<0.05f) && (ax>-0.05f))
	{
		ax=0.0f;
		if((vx<0.05f) && (vx>-0.05f))
		{
			vx=0.0f;
			if((sx<0.01f) && (sx>-0.01f))
				sx=0.0f;
		}
		else
		{
			vx+=ax*0.01f;
			sx+=vx*0.01f+0.5f*ax*0.0001f;
		}
	}
	else
	{
		vx+=ax*0.01f;
		sx+=vx*0.01f+0.5f*ax*0.0001f;
	}

	if((ay<0.05f) && (ay>-0.05f))
	{
		ay=0.0f;
		if((vy<0.05f) && (vy>-0.05f))
		{
			vy=0.0f;
			if((sy<0.01f) && (sy>-0.01f))
				sy=0.0f;
		}
		else
		{
			vy+=ay*0.01f;
			sy+=vy*0.01f+0.5f*ay*0.0001f;
		}
	}
	else
	{
		vy+=ay*0.01f;
		sy+=vy*0.01f+0.5f*ay*0.0001f;
	}
}

void ausgabe()
{
	char buf[20];

	sprintf(buf,"\01%.2f ",ax);
	SendText(buf);
	sprintf(buf,"\02%.2f ",ay);
	SendText(buf);
	sprintf(buf,"\03%.2f ",az);
	SendText(buf);
	sprintf(buf,"\13%.2f ",sx);
	SendText(buf);
	sprintf(buf,"\14%.2f ",sy);
	SendText(buf);
	sprintf(buf,"\15%.2f ",sz);
	SendText(buf);
}

