#include "global.h"
#include "serial.h"

struct bufferC_struct sendebuf;

void InitSerial()
{
	u0mr = 0x05; /* 8 data bits; internal clock; one stop bit odd parity; parity disabled */

	u0c0 = 0x10; /* f*1 selected, CTS disabled */

	u0brg = 0x19; /* set baudrate to 38400 */

	u0tb = 0x00; /* clear transmit buffer */
	u0rb = 0x00; /* clear recieve buffer */

	te_u0c1 = 1; /* enable transmit */
	re_u0c1 = 1; /* enable Receive */
	Init_buffC(&sendebuf);
}

int Sende()
{
	if ((ti_u0c1 != 0) && (sendebuf.buffcnt!=0))
		u0tb = get_buffC(&sendebuf);
	else
		return 0;
	return 1;
}

void SendByte(unsigned char byte)
{
	while(put_buffC(&sendebuf,byte)==0)
		Sende();
	Sende();
}

void SendText(char *text)
{
	Sende();
	while((*text)!=0)
	{
		if(put_buffC(&sendebuf,(*text))==0)
			Sende();
		else
			text++;
	}
	Sende();
}

void SendInt(int zahl)
{
	while(put_buffC(&sendebuf,HIBYTE(zahl))==0)
		Sende();
	while(put_buffC(&sendebuf,LOBYTE(zahl))==0)
		Sende();
	Sende();
}


