#include "global.h"
#include "Timer.h"
#include "auswertung.h"

#define timerconf 0x4A

unsigned char LCDausgabe,Auswert;

void InitTimer()
{
	tb1mr    = timerconf; //10001010b
	tb2mr    = timerconf; //10001010b
	ta0mr    = 0x00;	  //00000000b
	ta0		 = 16000;	  //Reload wert
	LCDausgabe=Auswert=0;
}

void StartTimer()
{
	StartTB1();   
	StartTB2();
	StartTA0();
}

void StopTimer()
{
	StopTB1();   
	StopTB2();
	StopTA0();
}

void isr_clock() //1000Hz
{
	LCDausgabe++;
	if(calBeschlY!=0)
	{
		Auswert++;
		if(Auswert>9)
		{
			auswertung();
			Auswert=0;
		}
	}
	put_buffI(&bufZ,(ad0 & 0x3FF));
}

void isr_timerB1()
{
	if (mr3_tb1mr ==1) // check for timer overflow
	{
		tb1mr    = timerconf; // if so clear flag and
		return; // data invaild, so leave
	}
	if (p9_1== 0)
		if(tb1!=0)
			put_buffI(&bufX,tb1);
}

void isr_timerB2()
{
	if (mr3_tb2mr ==1) // check for timer overflow
	{
		tb2mr    = timerconf; // if so clear flag and
		return; // data invaild, so leave
	}
	if (p9_2== 0)
		if(tb2!=0)
			put_buffI(&bufY,tb2);
}